/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.
*
*/
package net.northking.cctp.scriptcase.db.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import net.northking.cctp.common.db.entity.Entity;
import net.northking.cctp.common.saas.db.TenantPartition;

import javax.validation.constraints.Size;
import java.util.Date;


/**
 * 脚本版本信息表
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！  <br>
 * createdate:  2022-10-18 17:29:31  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
@ApiModel(description = "脚本版本信息表")
public class AtuScriptVersion extends TenantPartition implements Entity
{
  public static final String KEY_scriptId = "scriptId";
  public static final String KEY_versionId = "versionId";
  public static final String KEY_versionName = "versionName";
  public static final String KEY_scriptName = "scriptName";
  public static final String KEY_url = "url";
  public static final String KEY_dataUrl = "dataUrl";
  public static final String KEY_projectId = "projectId";
  public static final String KEY_tenentId = "tenentId";
  public static final String KEY_createdBy = "createdBy";
  public static final String KEY_createdTime = "createdTime";
  public static final String KEY_updatedBy = "updatedBy";
  public static final String KEY_updatedTime = "updatedTime";

  /**
   * 脚本ID<br>
   */
  @ApiModelProperty("脚本ID")
  @Size(max = 32, message="脚本ID-scriptId: 数据长度不能 > 32" )
  private String scriptId;
  /**
   * 脚本版本ID<br>
   */
  @ApiModelProperty("脚本版本ID")
  private Integer versionId;
  /**
   * 版本名称<br>
   */
  @ApiModelProperty("版本名称")
  @Size(max = 255, message="版本名称-versionName: 数据长度不能 > 255" )
  private String versionName;
  /**
   * 脚本名称<br>
   */
  @ApiModelProperty("脚本名称")
  @Size(max = 255, message="脚本名称-scriptName: 数据长度不能 > 255" )
  private String scriptName;
  /**
   * 脚本版本内容地址<br>
   */
  @ApiModelProperty("脚本版本内容地址")
  @Size(max = 255, message="脚本版本内容地址-url: 数据长度不能 > 255" )
  private String url;
  /**
   * 脚本版本数据地址<br>
   */
  @ApiModelProperty("脚本版本数据地址")
  @Size(max = 255, message="脚本版本数据地址-dataUrl: 数据长度不能 > 255" )
  private String dataUrl;
  /**
   * 系统ID<br>
   */
  @ApiModelProperty("系统ID")
  @Size(max = 32, message="系统ID-projectId: 数据长度不能 > 32" )
  private String projectId;
  /**
   * 租户号<br>
   */
  @ApiModelProperty("租户号")
  @Size(max = 32, message="租户号-tenentId: 数据长度不能 > 32" )
  private String tenentId;
  /**
   * 创建人<br>
   */
  @ApiModelProperty("创建人")
  @Size(max = 32, message="创建人-createdBy: 数据长度不能 > 32" )
  private String createdBy;
  /**
   * 创建时间<br>
   */
  @ApiModelProperty("创建时间")
  private Date createdTime;
  /**
   * 更新人<br>
   */
  @ApiModelProperty("更新人")
  @Size(max = 32, message="更新人-updatedBy: 数据长度不能 > 32" )
  private String updatedBy;
  /**
   * 更新时间<br>
   */
  @ApiModelProperty("更新时间")
  private Date updatedTime;

  /**
   * 脚本ID<br>
   */
  public String getScriptId()
  {
      return scriptId;
    }

  /**
   * 脚本ID<br>
   *
   * @param scriptId 脚本ID
   */
  public void setScriptId(String scriptId)
  {
      this.scriptId = scriptId;
    }
  /**
   * 脚本版本ID<br>
   */
  public Integer getVersionId()
  {
      return versionId;
    }

  /**
   * 脚本版本ID<br>
   *
   * @param versionId 脚本版本ID
   */
  public void setVersionId(Integer versionId)
  {
      this.versionId = versionId;
    }
  /**
   * 版本名称<br>
   */
  public String getVersionName()
  {
      return versionName;
    }

  /**
   * 版本名称<br>
   *
   * @param versionName 版本名称
   */
  public void setVersionName(String versionName)
  {
      this.versionName = versionName;
    }
  /**
   * 脚本名称<br>
   */
  public String getScriptName()
  {
      return scriptName;
    }

  /**
   * 脚本名称<br>
   *
   * @param scriptName 脚本名称
   */
  public void setScriptName(String scriptName)
  {
      this.scriptName = scriptName;
    }
  /**
   * 脚本版本内容地址<br>
   */
  public String getUrl()
  {
      return url;
    }

  /**
   * 脚本版本内容地址<br>
   *
   * @param url 脚本版本内容地址
   */
  public void setUrl(String url)
  {
      this.url = url;
    }
  /**
   * 脚本版本数据地址<br>
   */
  public String getDataUrl()
  {
      return dataUrl;
    }

  /**
   * 脚本版本数据地址<br>
   *
   * @param dataUrl 脚本版本数据地址
   */
  public void setDataUrl(String dataUrl)
  {
      this.dataUrl = dataUrl;
    }
  /**
   * 系统ID<br>
   */
  public String getProjectId()
  {
      return projectId;
    }

  /**
   * 系统ID<br>
   *
   * @param projectId 系统ID
   */
  public void setProjectId(String projectId)
  {
      this.projectId = projectId;
    }
  /**
   * 租户号<br>
   */
  public String getTenentId()
  {
      return tenentId;
    }

  /**
   * 租户号<br>
   *
   * @param tenentId 租户号
   */
  public void setTenentId(String tenentId)
  {
      this.tenentId = tenentId;
    }
  /**
   * 创建人<br>
   */
  public String getCreatedBy()
  {
      return createdBy;
    }

  /**
   * 创建人<br>
   *
   * @param createdBy 创建人
   */
  public void setCreatedBy(String createdBy)
  {
      this.createdBy = createdBy;
    }
  /**
   * 创建时间<br>
   */
  public Date getCreatedTime()
  {
      if(createdTime != null)
    {
      return (Date)createdTime.clone();
    }
    return null;
    }

  /**
   * 创建时间<br>
   *
   * @param createdTime 创建时间
   */
  public void setCreatedTime(Date createdTime)
  {
      if(createdTime != null)
    {
      this.createdTime = (Date)createdTime.clone();
    }
    }
  /**
   * 更新人<br>
   */
  public String getUpdatedBy()
  {
      return updatedBy;
    }

  /**
   * 更新人<br>
   *
   * @param updatedBy 更新人
   */
  public void setUpdatedBy(String updatedBy)
  {
      this.updatedBy = updatedBy;
    }
  /**
   * 更新时间<br>
   */
  public Date getUpdatedTime()
  {
      if(updatedTime != null)
    {
      return (Date)updatedTime.clone();
    }
    return null;
    }

  /**
   * 更新时间<br>
   *
   * @param updatedTime 更新时间
   */
  public void setUpdatedTime(Date updatedTime)
  {
      if(updatedTime != null)
    {
      this.updatedTime = (Date)updatedTime.clone();
    }
    }

  public AtuScriptVersion()
  {
  }

  @Override
  public String getTenantId() {
    return null;
  }

  @Override
  public void setTenantId(String s) {

  }

}
